.user_new
  = form_for [:admin, @user], html: { class: 'form-horizontal fieldset-form' } do |f|
    = form_errors(@user)

    %fieldset
      %legend Account
      .form-group
        = f.label :name, class: 'control-label'
        .col-sm-10
          = f.text_field :name, required: true, autocomplete: 'off', class: 'form-control'
          %span.help-inline * required
      .form-group
        = f.label :username, class: 'control-label'
        .col-sm-10
          = f.text_field :username, required: true, autocomplete: 'off', autocorrect: 'off', autocapitalize: 'off', spellcheck: false, class: 'form-control'
          %span.help-inline * required
      .form-group
        = f.label :email, class: 'control-label'
        .col-sm-10
          = f.text_field :email, required: true, autocomplete: 'off', class: 'form-control'
          %span.help-inline * required

    - if @user.new_record?
      %fieldset
        %legend Password
        .form-group
          = f.label :password, class: 'control-label'
          .col-sm-10
            %strong
              Reset link will be generated and sent to the user.
              %br
              User will be forced to set the password on first sign in.
    - else
      %fieldset
        %legend Password
        .form-group
          = f.label :password, class: 'control-label'
          .col-sm-10= f.password_field :password, disabled: f.object.force_random_password, class: 'form-control'
        .form-group
          = f.label :password_confirmation, class: 'control-label'
          .col-sm-10= f.password_field :password_confirmation, disabled: f.object.force_random_password, class: 'form-control'

    %fieldset
      %legend Access
      .form-group
        = f.label :projects_limit, class: 'control-label'
        .col-sm-10= f.number_field :projects_limit, min: 0, class: 'form-control'

      .form-group
        = f.label :can_create_group, class: 'control-label'
        .col-sm-10= f.check_box :can_create_group

      .form-group
        = f.label :can_invite_users, class: 'control-label'
        .col-sm-10= f.check_box :can_invite_users

      .form-group
        = f.label :admin, class: 'control-label'
        - if current_user == @user
          .col-sm-10= f.check_box :admin, disabled: true
          .col-sm-10 You cannot remove your own admin rights.
        - else
          .col-sm-10= f.check_box :admin

      .form-group
        = f.label :external, class: 'control-label'
        .col-sm-10= f.check_box :external
        .col-sm-10 External users cannot see internal or private projects unless access is explicitly granted. Also, external users cannot create projects or groups.

    %fieldset
      %legend Profile
      .form-group
        = f.label :avatar, class: 'control-label'
        .col-sm-10
          = f.file_field :avatar

      .form-group
        = f.label :skype, class: 'control-label'
        .col-sm-10= f.text_field :skype, class: 'form-control'
      .form-group
        = f.label :linkedin, class: 'control-label'
        .col-sm-10= f.text_field :linkedin, class: 'form-control'
      .form-group
        = f.label :twitter, class: 'control-label'
        .col-sm-10= f.text_field :twitter, class: 'form-control'
      .form-group
        = f.label :website_url, 'Website', class: 'control-label'
        .col-sm-10= f.text_field :website_url, class: 'form-control'

    .form-actions
      - if @user.new_record?
        = f.submit 'Create user', class: "btn btn-create"
        = link_to 'Cancel', admin_users_path, class: "btn btn-cancel"
      - else
        = f.submit 'Save changes', class: "btn btn-save"
        = link_to 'Cancel', admin_user_path(@user), class: "btn btn-cancel"
